/* FormatException.java
 * ====================
 * Mike Jahr, 7/14/99
 * Machine Translation group, WS99
 * Center for Language and Speech Processing
 */

/**
 * Lightweight class used to handle formatting errors in alignment files.
 * @author Mike Jahr
 * @see AlnLoader
 */
public class FormatException extends RuntimeException {
    /** Creates a FormatException with the given error message. */
    public FormatException(String s) {
	super(s);
    }
}
