/* HumanWord.java
 * ==============
 * Mike Jahr, 7/20/99
 * Machine Translation group, WS99
 * Center for Language and Speech Processing
 * 
 * .
 */

import java.io.StreamTokenizer;

public class HumanWord extends TargetWord {
    public HumanWord(String text, int i, Web web) {
	super(text, i, web);
	setForeground(Web.HUMAN_WORD);
    }
    
    public boolean isHuman() {
	return true;
    }
    
    public void readDistortion(StreamTokenizer st, boolean corr)
	throws FormatException {
	throw new FormatException("Illegal attempt to read distortions " +
				  "into human-translated word.");
    }
    public void readFertility(StreamTokenizer st, boolean corr)
	throws FormatException {
	throw new FormatException("Illegal attempt to read fertilities " +
				  "into human-translated word.");
    }
    public void readTranslation(StreamTokenizer st, Sentence s, 
				boolean corr) 
	throws FormatException {
	throw new FormatException("Illegal attempt to read translations " +
				  "into human-translated word.");
    }
    /*
    public SPTableModel getTranslations() {
	return emptyTransTM;
    }
    */
}
